import QtQuick 1.1

Rectangle {
    id: header
    width: parent.width
    height: 64;
    opacity: 0.8
    color: "#ff0707"
    gradient: Gradient {
        GradientStop {
            position: 0.00;
            color: "#ff0707";
        }
        GradientStop {
            position: 1.00;
            color: "#ff6d6d";
        }
    }

    property alias text: h.text
    property alias size: h.font.pixelSize;

    property alias textColor: h.color

    signal onClicked;

    MouseArea {
        anchors.fill: parent;
        onClicked: header.onClicked();
    }

    Text {
        id: h
        anchors.centerIn: parent;
        text: ""
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 52
        color: "white"
    }
}
